/*
Teem - an open source evolutionary software framework
http://lis.epfl.ch/resources/Teem
Stephane Magnenat <stephane.magnenat@epfl.ch>,
Antoine Beyeler <antoine.beyeler@epfl.ch>,
and other contributors. See AUTHORS for details
Laboratory of Intelligent Systems, EPFL, Lausanne

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "Evolution.h"
#include "../controller/GenotypeDecoder.h"

/*!	\file Evolution.cpp
	\brief Implementation of methods common to all evolutions
*/

namespace Teem
{
	EvolutionRun::~EvolutionRun()
	{
		deleteGenotypeDecoders();
	}
	
	void EvolutionRun::deleteGenotypeDecoders()
	{
		for(size_t i = 0; i < genotypeDecoders.size(); i++)
			delete genotypeDecoders[i];
		
		genotypeDecoders.resize(0);
	}
}
