/*
  Copyright (C) 2001-2005 Stephane Magnenat & Luc-Olivier de Charrière
  for any question or comment contact us at nct@ysagoon.com or nuage@ysagoon.com

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef __GAGSYS_H
#define __GAGSYS_H

#ifdef WIN32
	#include <windows.h>
	#include <sys/types.h>
	#include <sys/stat.h>
//	#define snprintf _snprintf
//	#define vsnprintf _vsnprintf
	#define S_IFDIR _S_IFDIR
//	#pragma warning (disable : 4786)
//	#pragma warning (disable : 4250)
	#undef max
	#undef min
#endif

#include <SDL.h>

//! Libgag graphic library from Globulation 2 project (http://glob2.ysagoon.com). Stripped version for Teem
namespace GAG
{
	#ifndef VARARRAY
	#ifdef _MSC_VER
	#include <malloc.h>
	//! Macro to wrap creation of dynamic arrasy of stack on win32
	#define VARARRAY(t,n,s) t *n=(t*)_alloca((s)*sizeof(t))
	#define strcasecmp _stricmp
	#else
	//! Macro to wrap creation of dynamic arrasy of stack on win32
	#define VARARRAY(t,n,s) t n[s]
	#endif
	#endif
}

/*!	\file GAGSys.h
	\brief File that include platform specific headers for libgag
*/

#endif
